Summary: Programs for X11 from the contrib tapes
Name: X11R6-contrib
Version: 3.3.2
Release: 3
Copyright: MIT
Group: X11/XFree86
Source0: fpt://ftp.xfree86.org/pub/XFree86/3.3.2/sources/X332contrib.tgz
Patch1: x11r6-contrib-3.1.2-rhs.patch
Patch2: x11r6-contrib-3.1.2-mandoc.patch
Patch3: x11r6-contrib-3.1.2-sparc.patch
Patch4: X11R6-contrib-3.3.1-pthreads.patch
Patch5: X11R6-contrib-3.3.1-xman.patch
Provides: xman
Obsoletes: xman
Buildroot: /tmp/x11contrib-root

%description
This is a collection of X programs from X11R6's contrib tape, which contains
programs contributed by various users. It includes listres, xbiff, xedit,
xeyes, xcalcm, xload, and xman amoung others.

xman has been enhanced to support the $LANG variable to display man
pages on different languages depending on the preferences of users.

%changelog

* Tue Jun 17 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>

- patched to support compressed manpages (Z,gz,bzip,bzip2), the /var/catman/
  directory to store formated pages, and the $LANG variable to display man
  pages on different languages depending on the preferences of users.
  xman is also now setgid man (to be able to write in /var/catman)

* Fri Mar  6 1998 Jani Hakala <jahakala@cc.jyu.fi>

- updated to 3.3.2
- buildrooted

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>

- new version
- wmconfig

%prep
rm -fr $RPM_BUILD_ROOT

%setup -c 
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
cd contrib
xmkmf -a
make

%install
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
cd contrib
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man

# xload doesn't need to be setuid
chmod u-s $RPM_BUILD_ROOT/usr/X11R6/bin/xload

strip $RPM_BUILD_ROOT/usr/X11R6/bin/* || :
gzip -9nf $RPM_BUILD_ROOT/usr/X11R6/man/man?/*

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xcalc <<EOF
xcalc name "Calculator"
xcalc description "Calculator"
xcalc group Utilities
xcalc exec "xcalc &"
EOF

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xditview <<EOF
xditview name "xditview"
xditview description "ditroff previewer"
xditview group Utilities
xditview exec "xditview &"
EOF

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xedit <<EOF
xedit name "xedit"
xedit description "Small editor"
xedit group Utilities
xedit exec "xedit &"
EOF

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xeyes <<EOF
xeyes name "xeyes"
xeyes description "Watchful Eyes"
xeyes group Amusements
xeyes exec "xeyes &"
EOF

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xfontsel <<EOF
xfontsel name "Font Selector"
xfontsel description "Select X Fonts"
xfontsel group Utilities
xfontsel exec "xfontsel &"
EOF

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xload <<EOF
xload name "Load Monitor"
xload description "Display system load"
xload group Administration
xload exec "xload &"
EOF

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xman <<EOF
xman name "xman"
xman description "Manual Page Reader"
xman group Utilities
xman exec "xman &"
EOF

%clean 
rm -fr $RPM_BUILD_ROOT

%files
/usr/X11R6/bin/*
%config /usr/X11R6/lib/X11/app-defaults/*
/usr/X11R6/lib/X11/xman.help
/usr/X11R6/man/man1/*
%config /etc/X11/wmconfig/*
